Description

History

#1 - 12/12/2019 02:16 AM - Sergey Ivanovskiy

- Start date deleted (12/12/2019)

- Assignee set to Sergey Ivanovskiy

On 12/11/19 2:57 PM, Eugenie V. Lyzenko wrote:

Guys,

I have just updated chrome browser to 79.0.3945.79 revision as part of the general system update.

And the new version of Chrome makes FWD completely unusable due to rendering issues. See the initial login attached.

Hope this helps to someone to ignore this issue(need to lock previous version until Chrome fix will came).

Regards,

Eugenie.

#2 - 12/12/2019 02:17 AM - Sergey Ivanovskiy

- Status changed from New to WIP

#4 - 12/12/2019 03:30 AM - Sergey Ivanovskiy

I added #4334 as a related issue although its root cause was different. Labels are still displayed now with desktop icons. This issue can be due to

web client changes or repaint optimizations of the browser.

#5 - 12/12/2019 04:09 AM - Sergey Ivanovskiy

- File VirtualDesktop.html added

- File dojo.js added
The first label on the first added desktop icon was displayed, but the next labels were absent. For reproducing it needs to save these two files into the

root directory of 3809e branch (usually it is 3809e/) and to open VirtualDesktop.html with Google Chrome ver 79.0.3945.79. Thus, the root cause

should be similar to #4334 (labels issue) that was due to the browser optimizations.

#6 - 12/12/2019 04:24 AM - Sergey Ivanovskiy

We are using low-level pixel drawing operations with alpha channel control. I am afraid that the browser optimization can break this way completely.

#7 - 12/12/2019 05:28 AM - Sergey Ivanovskiy

It looks quite stupid but with this 79 version of Chrome the offscreen canvas can be HTML5 canvas but with Chromium 78 it doesn't work. Preparing

the fix now.

#8 - 12/12/2019 05:46 AM - Sergey Ivanovskiy

- Status changed from WIP to Review

- % Done changed from 0 to 100

Please review the committed revision 11438 (3809e). It fixed this issue.

#9 - 12/12/2019 06:01 AM - Sergey Ivanovskiy

- File deleted (VirtualDesktop.html)

#10 - 12/12/2019 06:01 AM - Sergey Ivanovskiy

- File VirtualDesktop.html added

#11 - 12/12/2019 03:07 PM - Greg Shah

- Status changed from Review to Test

It looks quite stupid but with this 79 version of Chrome the offscreen canvas can be HTML5 canvas but with Chromium 78 it doesn't work.

Preparing the fix now.

 

Agreed.  I guess the problem with Chrome was really a bug in their code.  Once they fixed the code everything worked again (and the workaround

does not).  I'm OK with the change.

#13 - 01/21/2020 09:42 AM - Greg Shah

- Status changed from Test to Closed

Branch 3809e was merged to trunk as revision 11340.

Files

dojo.js 161 KB 12/12/2019 Sergey Ivanovskiy

VirtualDesktop.html 3.99 KB 12/12/2019 Sergey Ivanovskiy

Powered by TCPDF (www.tcpdf.org)

05/05/2024 2/2

http://www.tcpdf.org

